Groups
Join Group
Join a Group by ID and returns the member object.
Authorization
authCookie auth<token>
Auth Token via Cookie
In: cookie
Path Parameters
groupId*string
Must be a valid group ID.
Query Parameters
confirmOverrideBlock?boolean
Manually override the failure that would occur if the user has blocked the group.
Request Body
application/json
inviteId?string
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://api.vrchat.cloud/api/1/groups/grp_00000000-0000-0000-0000-000000000000/join" \ -H "Content-Type: application/json" \ -d '{}'{
"acceptedByDisplayName": "string",
"acceptedById": "string",
"bannedAt": "2019-08-24T14:15:22Z",
"createdAt": "2019-08-24T14:15:22Z",
"groupId": "grp_71a7ff59-112c-4e78-a990-c7cc650776e5",
"hasJoinedFromPurchase": true,
"id": "gmem_95cdb3b4-4643-4eb6-bdab-46a4e1e5ce37",
"isRepresenting": true,
"isSubscribedToAnnouncements": false,
"isSubscribedToEventAnnouncements": true,
"joinedAt": "2019-08-24T14:15:22Z",
"lastPostReadAt": "2019-08-24T14:15:22Z",
"mRoleIds": [
"grol_459d3911-f672-44bc-b84d-e54ffe7960fe"
],
"managerNotes": "string",
"membershipStatus": "member",
"roleIds": [
"grol_459d3911-f672-44bc-b84d-e54ffe7960fe"
],
"user": {
"currentAvatarTags": [
"string"
],
"currentAvatarThumbnailImageUrl": "string",
"displayName": "string",
"iconUrl": "string",
"id": "usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469",
"profilePicOverride": "string",
"thumbnailUrl": "string"
},
"userId": "usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469",
"visibility": "visible"
}{
"error": {
"message": "You're already a member!",
"status_code": 400
}
}{
"error": {
"message": "\"Missing Credentials\"",
"status_code": 401
}
}{
"error": {
"message": "Can't find groupǃ",
"status_code": 404
}
}Initiate or Accept Group Transfer POST
To initiate, must be logged in as the current owner and specify the transferTargetId in the body. To accept, must be logged in as the user targetted by a pending transfer, no body is required.
Kick Group Member DELETE
Kicks a Group Member from the Group. The current user must have the "Remove Group Members" permission. Also used for unblocking groups.